<h2>My heroes</h2>
<ul class="heroes">
  <li *ngFor="let hero of heroes">
    <a routerLink="/detail/{{hero.id}}">{{hero.name}}</a>
    <button class="delete" title="delete hero"
            (click)="delete(hero)">
      x
    </button>
  </li>
</ul>
<div>
  <label>
    Hero name:
    <input #heroName />
  </label>
</div>
<button (click)="add(heroName.value);heroName.value=''">Add</button>

<!--<div *ngIf="selectedHero">
    <app-hero-detail [hero]="selectedHero"></app-hero-detail>
</div>-->
